package com.zhongzheng.modules.base.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zhongzheng.modules.base.bo.ShoppingCartAddBo;
import com.zhongzheng.modules.base.bo.ShoppingCartEditBo;
import com.zhongzheng.modules.base.bo.ShoppingCartQueryBo;
import com.zhongzheng.modules.base.domain.ShoppingCart;
import com.zhongzheng.modules.base.vo.ShoppingCartVo;

import java.util.Collection;
import java.util.List;

/**
 * 购物车Service接口
 *
 * @author hjl
 * @date 2021-12-09
 */
public interface IShoppingCartService extends IService<ShoppingCart> {
	/**
	 * 查询单个
	 * @return
	 */
	ShoppingCartVo queryById(Long id);

	List<ShoppingCartVo> selectList(ShoppingCartQueryBo bo);

	/**
	 * 查询列表
	 */
	List<ShoppingCartVo> queryList(ShoppingCartQueryBo bo);

	/**
	 * 根据新增业务对象插入购物车
	 * @param bo 购物车新增业务对象
	 * @return
	 */
	Boolean insertByAddBo(ShoppingCartAddBo bo);

	/**
	 * 根据编辑业务对象修改购物车
	 * @param bo 购物车编辑业务对象
	 * @return
	 */
	Boolean updateByEditBo(ShoppingCartEditBo bo);

	/**
	 * 校验并删除数据
	 * @param ids 主键集合
	 * @param isValid 是否校验,true-删除前校验,false-不校验
	 * @return
	 */
	Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

	Boolean deleteById(Long id, Long userId);
}
